      MODULE fund_const
	   implicit none
	   real(8), parameter :: q=1.60219e-19
	   real(8), parameter :: m0=9.1085e-31
	   real(8), parameter :: eps0=8.854e-12
	   real(8), parameter :: hbar=1.05459e-34
	   real(8), parameter :: bc=1.38e-23
	   real(8), parameter :: pi=3.14159265358979324
	   real(8), parameter :: pi2=6.2831853072
	   real(8), parameter :: pi4=12.5663706144
	   real(8), parameter :: pio2=1.5707963268

	   integer, parameter:: sites = 2400	! number of grid cells
	   real(8), parameter:: deviceLength = 2.0d-6	! total length of "device" [m]
	   real(8), parameter:: kLength = 4.2d8			! total length of k-space [1/m]
	   real(8), parameter:: barrierHeight = 0.3*q	! height of barrier [eV]
	   real(8), parameter:: barrierWidth = 3.0d-9	! width of barrier [nm]
	   real(8), parameter:: stdDeviation = 30.0d-9	! Gaussian's standard deviation
	   real(8), parameter:: initialEnergy = 0.15*q	! average energy of incident Gaussian [eV]
	   real(8), parameter:: initialOffset = stdDeviation*8	
													! initial position is width of Gaussian, 
													! plus some slack

	   real(8), parameter:: totalTime = 0
	   integer, parameter:: timeSteps = 1

	   integer, parameter:: trajCount = 60			! number of Bohm trajectories

	   real(8), parameter:: m=m0*0.067


	   real(8), parameter :: c0=0.0d0
	   real(8), parameter :: c1=1.0d0
	   real(8), parameter :: c2=2.0d0
	   complex(8), parameter :: cimag=dcmplx(c0,c1)
      END MODULE fund_const


